# 培训记录

## 银医通项目结构记录

```javascript
Wit.Main.Core     # 项目主程序入口
```

### Wit.Client.Appointment    预约领号模块
```javascript
Wit.Client.Appointment > View   # 预约领号-业务界面

Wit.Client.Appointment > ViewModel   # 预约领号-业务逻辑层

Wit.Client.Appointment > SingletonViewModel   # 预约领号-单例模式管理类
```

### Wit.Client.BuildRecord   自助建档模块
```javascript
Wit.Client.BuildRecord > View   # 自助建档-业务界面

Wit.Client.BuildRecord > ViewModel   # 自助建档-业务逻辑层

Wit.Client.BuildRecord > SingletonViewModel   # 自助建档-单例模式管理类
```

### Wit.Client.ChargeWay   缴费模块
```javascript
Wit.Client.ChargeWay > View   # 缴费模块-业务界面

Wit.Client.ChargeWay > ViewModel   # 缴费模块-业务逻辑层

Wit.Client.ChargeWay > SingletonViewModel   # 缴费模块-单例模式管理类
```

### Wit.Client.HomePage   首页模块
```javascript
Wit.Client.HomePage > View   # 首页模块-业务界面

Wit.Client.HomePage > ViewModel   # 首页模块-业务逻辑层

Wit.Client.HomePage > SingletonViewModel   # 首页模块-单例模式管理类
```

### Wit.Client.HospitalInfoQuery   住院信息查询模块
```javascript
Wit.Client.HospitalInfoQuery > View   # 住院信息查询模块-业务界面

Wit.Client.HospitalInfoQuery > ViewModel   # 住院信息查询模块-业务逻辑层

Wit.Client.HospitalInfoQuery > SingletonViewModel   # 住院信息查询模块-单例模式管理类
```

### Wit.Client.MainWindow   版本主程序入口
```javascript
Wit.Client.MainWindow > View   # 版本主程序入口-业务界面

Wit.Client.MainWindow > ViewModel   # 版本主程序入口-业务逻辑层

Wit.Client.MainWindow > SingletonViewModel   # 版本主程序入口-单例模式管理类
```

### Wit.Client.OutpatientCharge   自助缴费模块
```javascript
Wit.Client.OutpatientCharge > View   # 自助缴费模块-业务界面

Wit.Client.OutpatientCharge > ViewModel   # 自助缴费模块-业务逻辑层

Wit.Client.OutpatientCharge > SingletonViewModel   # 自助缴费模块-单例模式管理类
```

### Wit.Client.OutpatientInquiry   门诊记录查询模块
```javascript
Wit.Client.OutpatientInquiry > View   # 门诊记录查询模块-业务界面

Wit.Client.OutpatientInquiry > ViewModel   # 门诊记录查询模块-业务逻辑层

Wit.Client.OutpatientInquiry > SingletonViewModel   # 门诊记录查询模块-单例模式管理类
```

### Wit.Client.OutpatientListQuery   医院信息查询模块
```javascript
Wit.Client.OutpatientListQuery > View   # 医院信息查询模块-业务界面

Wit.Client.OutpatientListQuery > ViewModel   # 医院信息查询模块-业务逻辑层

Wit.Client.OutpatientListQuery > SingletonViewModel   # 医院信息查询模块-单例模式管理类
```

### Wit.Client.PaymentCharge   住院预交金充值
```javascript
Wit.Client.PaymentCharge > View   # 住院预交金充值-业务界面

Wit.Client.PaymentCharge > ViewModel   # 住院预交金充值-业务逻辑层

Wit.Client.PaymentCharge > SingletonViewModel   # 住院预交金充值-单例模式管理类
```

### Wit.Client.RegisteredQuery   挂号记录查询
```
Wit.Client.RegisteredQuery > View   # 挂号记录查询-业务界面

Wit.Client.RegisteredQuery > ViewModel   # 挂号记录查询-业务逻辑层

Wit.Client.RegisteredQuery > SingletonViewModel   # 挂号记录查询-单例模式管理类
```

### Wit.Client.SelectVerifyWay   身份验证
```javascript
Wit.Client.SelectVerifyWay > View   # 身份验证-业务界面

Wit.Client.SelectVerifyWay > ViewModel   # 身份验证-业务逻辑层

Wit.Client.SelectVerifyWay > SingletonViewModel   # 身份验证-单例模式管理
```

### Wit.Client.SelfRegistered  自助挂号
```javascript
Wit.Client.SelfRegistered > View   # 自助挂号-业务界面

Wit.Client.SelfRegistered > ViewModel   # 自助挂号-业务逻辑层

Wit.Client.SelfRegistered > SingletonViewModel   # 自助挂号-单例模式管理类
```

### 分辨率版本项目库
```javascript
Wit.ClientPlugin.FHD_1920x1080   # 1920 * 1080 分辨率版本项目库

Wit.ClientPlugin.HD_1280x800   # 1280 * 800  分辨率版本项目库

Wit.ClientPlugin.SXGA_1280x1024   # 1280 * 1024 分辨率版本项目库 

Wit.Frame.Base   # 银医通项目类库

Wit.Main.Test   # 项目部署测试工具程序
```